import type { TreeNode } from "src/types/treeView.types";
export type GlobalState = {
    checked: Set<string>;
    updateChecked: (checked: Set<string>) => void;
    indeterminate: Set<string>;
    updateIndeterminate: (indeterminate: Set<string>) => void;
    expanded: Set<string>;
    updateExpanded: (expanded: Set<string>) => void;
    globalData: TreeNode[];
    updateGlobalData: (globalData: TreeNode[]) => void;
    nodeMap: Map<string, TreeNode>;
    updateNodeMap: (nodeMap: Map<string, TreeNode>) => void;
    childToParentMap: Map<string, string>;
    updateChildToParentMap: (childToParentMap: Map<string, string>) => void;
    searchText: string;
    updatedSearchText: (searchText: string) => void;
    searchKeys: string[];
    updatedSearchKeys: (searchKeys: string[]) => void;
    innerMostChildrenIds: string[];
    updatedInnerMostChildrenIds: (innerMostChildrenIds: string[]) => void;
    cleanUpGlobalSignals: () => void;
};
export declare const useStore: import("zustand").UseBoundStore<import("zustand").StoreApi<GlobalState>>;
//# sourceMappingURL=global.store.d.ts.map